erlang-sha3
===========

This repository contains:
1. the original 64-bit SHA-3 NIF library (forked from https://github.com/szktty/erlang-sha3 )
2. Complete native Erlang fallback functions for both the Keccak and SHA-3 variants of the underlying algorithm

The native Erlang version of the function not only provides a more complete cross-platform implementation than either
the original Keccak C library and the current SHA-3 implementation that ships with the Erlang stdlib.
This is also by far the most readable and understandable implementation in any language currently.

If you are a student of the Keccack hashing algorithm, the code in this repository is extremely useful.

Peter Harpending wrote the original implementation with readability in mind,
and Hans Svensson greatly improved the performance of the readable implementation.

Licenses
--------

This program is distributed under the Apache License 2.0.

Keccak source files are distributed under CC0 1.0 Universal (CC0 1.0) Public Domain Dedication license.


Authors
------

Orginal NIF wrapper: SUZUKI Tetsuya <tetsuya.suzuki@gmail.com>

Native Erlang functions: Peter Harpending, Hans Svensson, Craig Everett